Google chrome - Run click to run Adobe flash player

(paranoise) #1

Witam. Ostatnio wykupiłem sobie usługę fight-pass w serwisie UFC. Wygląda to tak, że filmy są we flashu wyświetlane na przęglądarce. Tyle że mam pewien problem. Niby wtyczka flash jest. Klikam pozwolenie na wyświetlanie i wtedy pojawia się po środku ekranu: Right-click to run Adobe Flash Player. Klikam prawym przyciskiem i wybieram run plugin i nic. W poradnikach radzą, żeby zrobić settings - advenced settings, site settings - flash i zaznaczyć ask-first. Jest dokładnie tak, a mimo to nie działa. Najprostszym rozwiązaniem byłoby po prostu przesiąść się na Firefoxa, tyle że hasło to losowy klucz zapisany w Googlach, a mail na Tlenie, który podałem z jakichś przyczyn nie działa. :frowning: Nie wiem czy to ma jakieś znaczenie, ale Google używam na Antergos-XFCE, więc to nie jest oficjalne repozytorium i być może to ma jakiś wpływ.

(gom1) #2

U mnie zawsze działa opcja “pozwól zawsze” (czy jak to się tam zwie).

Pakiet pepper-flash zainstalowany?

1 Like
(paranoise) #3

Nie ma czegoś takiego jak opcja pozwól zawsze, przynajmniej u mnie. A jeśli chodzi o pepper-flash to z tego co piszą tutaj: https://helpx.adobe.com/pl/flash-player/kb/enable-flash-player-content-debugger-in-google-chrome.html wynikałoby, że jest tylko dla Windows i Mac-os.

(gom1) #4

A nie masz “Zezwalaj”?

Przechwycenie%20obrazu%20ekranu_2019-05-14_16-49-06

Co do pepper-flash:

[gom1@bigOS ~]$ sudo pacman -Ss pepper-flash
extra/pepper-flash 32.0.0.171-1 [zainstalowano]
Adobe Flash Player PPAPI

(paranoise) #5

Pepper flash jest: pepper

Opcji zezwalaj nie ma:

Jest tylko ask first, albo block.

(gom1) #6

Która wersja Chrome? 32- czy 64-bity?

(paranoise) #7

Nawet nie wiem jak to sprawdzić? Z tego co widzę, to w repozytoriach w AUR są dwie wersje moja: google-chrome 74.0.3729.131-1 i google-chrome-dev 76.0.3788.1-1. Mam tą pierwszą.

(gom1) #8

Masz jeszcze “Allow”. Wpisz swoją stronę na białą listę.

(paranoise) #9

Nie mogę, bo ta opcja jest nie klikalna, z resztą tak samo jak block.

Może pozostaje mi spróbować na Firefoksie. Tylko teraz tak, mam plik flash.tar.gz. Rozpakowuję go i muszę libpepflashplayer.so wkleić do folderu mozilla/plugins który w zależności od mojej wersji systemu powinien znajdować się w folderze lib albo lib32, albo lib64. Nie mam tego w żadnym z powyższych, ale w folderze lib i lib64 jest folder Firefox, tyle że żadnego podfolderu plugins nie ma. :frowning:

(gom1) #10

Wejdź na swoją stronę, kliknij kłódkę znajdującą się po lewej stronie adresu i wybierz “Ustawienia witryny”. Tam znajdziesz opcję odpowiedzialną za flasha - ustaw “zezwalaj” i sprawdź co się wydarzy.

(krystian3w) #11

Możliwe że wskoczy na listę allow z opcją tylko do usunięcia.

(paranoise) #12

Jest, i nic:

(paranoise) #13

Nie rozumiem.

(krystian3w) #14

“No bo nie ma nic do rozumienia”, ufc.tv masz wtedy w sekcji Allow a ta opcja nie odblokowuje wymogu kliknięcia lewym/prawym klawiszem na obiekcie flash.

(paranoise) #15

Ok, mam. Wystarczyło zainstalować czy, zaktualizować flasha dla dwóch przeglądarek najprościej przez sudo Pacman Syu flashplugin i sudo Pacman Syu pepper-flash. Przepraszam za marnowanie waszego czasu, ale sprawdzałem tam wcześniej jakoś czy jest zainstalowany flash dla Chrome’a i niby był. Koniec końców po wbiciu tych dwóch komend działa mi na Firefoksie i na Chromie-dev czy jakoś tak, czyli chyba nowszej, niestabilnej wersji. Pozdrawiam i dzięki za pomoc.

1 Like
(gom1) #16

Wiesz… zazwyczaj zakładam, że użytkownik aktualizuje swój soft na bieżąco. Może warto wklepać:
sudo pacman -Syuu
Tylko zrób wcześniej backup, w końcu to Arch :wink:

(paranoise) #17

Tzn. to nie do końca tak. Na tej rzekomo stabilnej wersji Chroma cały czas nie działa. Chodzi pod Firefoxem i pod tą nowszym Chromem. Poza tym wydaje mi się, że robiłem w międzyczasie aktualizację wszystkiego, a pomimo tego, pepper-flash był w wersji …0.171.1.